/*
 * Copyright (c) 2005, 2006 Sendmail, Inc. and its suppliers.
 *	All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 * $Id: tlscnf.h,v 1.5 2008/02/04 15:44:12 ca Exp $
 */

#ifndef TLSCNF_H
#define TLSCNF_H 1

#include "sm/generic.h"

#if MTA_USE_TLS

/* TLS configuration context */
typedef struct tls_cnf_S		tls_cnf_T, *tls_cnf_P;
struct tls_cnf_S
{
	const char	*tlscnf_certfile;
	const char	*tlscnf_keyfile;
	const char	*tlscnf_dsa_certfile;
	const char	*tlscnf_dsa_keyfile;
	const char	*tlscnf_cacertpath;
	const char	*tlscnf_cacertfile;
	const char	*tlscnf_dhparam;
	uint		 tlscnf_cache_size;
	uint		 tlscnf_cache_tmout;
	long		 tlscnf_options;
	uchar		 tlscnf_options_isset;
};
#endif /* MTA_USE_TLS */

#endif /* TLSCNF_H */
